%undefine __libtoolize
%define objprelink 0

Name: kiowa
Version: 1.3.2
Release: alt1
Source0: %name-%version.tar.bz2
URL: http://kiowa.evilrealms.net
License: GPL
Group: Monitoring
Summary:  Kiowa is an Apache log analyser.
Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>

Requires: kdelibs-gcc_compiled = %__gcc_version_base

# Automatically added by buildreq on   30 2003
BuildRequires: XFree86-devel XFree86-libs gcc-c++ glibc-devel
BuildRequires: kdelibs-devel libGLU libXft libart_lgpl-devel
BuildRequires: libarts-devel libexpat libjpeg-devel liblcms libmng
BuildRequires: libpng-devel libqt3-devel libstdc++-devel zlib-devel
BuildRequires: kdelibs-gcc_compiled = %__gcc_version_base
%if %objprelink
BuildRequires: objprelink
%endif

%description
Kiowa is an Apache log analyser written in C++, using the Qt/KDE toolkits. It displays logs in an easy-to-digest format, letting you choose how much or how little of the information you want to see, and is able to generate statistics for your Websites.
%prep
%setup -q
[ -f Makefile.use ] && make -f Makefile.use kde3

%build
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export CFLAGS="%optflags"
export CXXFLAGS="%optflags"

%configure \
	--disable-debug \
	--disable-static \
	--enable-shared

%if %objprelink
%make CXX=g++prelink
%else
%make
%endif

%install
%make DESTDIR=%buildroot install
%set_verify_elf_method relaxed

#create menu
mkdir -p %buildroot%_menudir
kdedesktop2mdkmenu.pl %name Applications/Monitoring %buildroot%_datadir/applnk/Utilities/%name.desktop %buildroot%_menudir/%name

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc README NEWS INSTALL AUTHORS COPYING VERSION
%_bindir/*
%_menudir/%name
%_datadir/applnk/Utilities/*.desktop
%_iconsdir/hicolor/16x16/apps/*.png
%_iconsdir/hicolor/32x32/apps/*.png
%_iconsdir/hicolor/48x48/apps/*.png
%_iconsdir/locolor/16x16/apps/*.png
%_iconsdir/locolor/32x32/apps/*.png
#%_iconsdir/*.png

%changelog
* Sun Mar 30 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.3.2-alt1
- 1.3.2

- specfile cleanup

